IMDL-TORRENT-LINK(1)

NAME
imdl torrent link - Generate a magnet link from a .torrent file.

SYNOPSIS:

    imdl torrent link [FLAGS] [OPTIONS] <INPUT>

FLAGS:

-h, --help
    Print help message.

-O, --open
    Open generated magnet link. Uses `xdg-open`, `gnome-open`, or `kde-open` on Linux; `open` on macOS; and `cmd /C start` on Windows.

-V, --version
    Print version number.

OPTIONS:

-s, --select-only <INDICES>...
    Select files to download. Values are indices into the `info.files` list, e.g. `--select-only 1,2,3`.

-i, --input <INPUT>
    Generate magnet link from metainfo at `INPUT`. If `INPUT` is `-`, read metainfo from standard input.

-p, --peer <PEER>...
    Add `PEER` to magnet link.

ARGS:

<INPUT>
    Generate magnet link from metainfo at `INPUT`. If `INPUT` is `-`, read metainfo from standard input.